_INDENTATION = '  '

# -1 = No debug info.
# 0  = Important debug info.
# 1  = Detailed debug info.
# 2  = Very detailed debug info.
# 3  = Absurdly detailed debug info.
# 4  = !!!
_debug_level = -2 # 2

_global_offset = 0

def debug_print(level, offset, obj):
    if level <= _debug_level:
        print('DEBUG: ' + (_global_offset + offset) * _INDENTATION + str(obj))

def up(offset):
    global _global_offset
    _global_offset = max(0, _global_offset - offset)

def down(offset):
    global _global_offset
    _global_offset += offset

def set_level(level):
    global _debug_level
    _debug_level = level

