# This file is part of libdrt.
#
# Written 2011-2014 by Martin Stigge, Pontus Ekberg.
#
# GPLv3 applies.


def pretty_print(drttask):

    print "%s:" % str(drttask)

    print "  Vertices:"
    for j in drttask.get_jobs():
        print "    %s" % str(j)

    print
    print "  Edges:"
    for e in drttask.get_edges():
        print "    p(%s, %s) = %d" % (str(e[0]), str(e[1]), 
            drttask.get_delay(e))

# vim:textwidth=79:shiftwidth=4:tabstop=4:cc=80:expandtab:autoindent

