package analysis.view;

import java.awt.Color;

import javax.swing.JPanel;

import main.Util;


public class CoreTablesPanel extends JPanel{
	
	public CoreTablesPanel() {
		createDefaultCore();
		setBackground(Color.WHITE);
	}

	private void createDefaultCore() {
		String [][]data = {{"", ""}}; 
		add(new CoreTable(data, "Core 1", 0, 0));
	}
	
	public void clear() {
		removeAll();
		createDefaultCore();
	}

	public void addCore(String[][] data, String name, double util, double dens) {
		add(new CoreTable(data, name, util, dens));		
	}	
}
