/*
 * Front-end application of MASI.
 * 
 * Written 2015-2016 by Morteza Mohaqeqi.
 * 
 * Uppsala University.
 */

package main;

import javax.swing.SwingUtilities;

import util.Dialogs;

public class Main {

    public static void main( String args[] ) {

    	// Create an instance of the application
    	Util.initLog();
    	SwingUtilities.invokeLater(new Runnable() {
    	     public void run() {
    	    	 createAndShowGUI();
    	     }
    	  });    	
    }

	private static void createAndShowGUI() {
        Manager manager	= new Manager();
        Dialogs.setAncestor(manager.frame());
        manager.show();		
	}
}