package synthesis.model;

import main.TaskSet;

public abstract class AbsSynthesizer {
	protected	String[] kwords = new String[]{};
	protected	String[] symbs  = new String[]{};;
	
	public String[] keywords() {
		return kwords;
	}
	
	public String[] symbols() {
		return symbs;
	}
	
	public abstract String suffix();
	public abstract String synthesisCode(TaskSet taskSet, Settings s);	
}
