package taskeditor.changetrace;

import java.util.LinkedList;
import java.util.ListIterator;

public class GroupChange extends Change {
	
	private	LinkedList<Change> list;	// first item is the first change, 
								//  undoing must be done from the last
	
	public GroupChange() {
		super();
		objType = ChangedObj.Group;
		list 	= new LinkedList<Change>();
	}

	public ListIterator<Change> getReverseIter() {
		int s = list.size();
		return list.listIterator(s);
	}

	public void add(Change ch) {
		list.add(ch);		
	}
	
}
