package taskeditor.movables;

import java.awt.Color;
import java.awt.Font;
import java.awt.event.MouseMotionListener;

import javax.swing.JLabel;

import taskeditor.listeners.MovableListener;

public class Movable extends JLabel {
	
	public Movable() {
		decorate();
	}
	
	private void decorate() {
		setForeground(Color.black);
		setHorizontalTextPosition(JLabel.CENTER);
		setVerticalTextPosition(JLabel.CENTER);
		setFont(new Font("Courier New", Font.PLAIN, 13));
	}
	
	protected void setListener(MovableListener lnr) {
		addMouseListener(lnr);
		addMouseMotionListener((MouseMotionListener) lnr);
	}
}
