package analysis.model;

import main.Task;
import enums.TaskModel;
import util.SchedPolicy;
import analysis.model.enums.*;

public class Settings {

	private	int				coreN;
	private	BinPackPolicy 	binPc;
	private	SortCriteria 	sortC;
	private	Processor 		procs; 
	private	SchedPolicy 	sched;
	private	TaskModel		model;
	
	public Settings(int n, BinPackPolicy bp, SortCriteria cr,
			Processor proc, SchedPolicy sch, TaskModel m) {
		coreN = n;
		binPc = bp;
		sortC = cr;
		procs = proc;
		sched = sch;
		model = m;
	}
	
	public int coreNo() {
		return coreN;
	}
	
	public BinPackPolicy binPc() {
		return binPc;
	}
	
	public SortCriteria sortC() {
		return sortC;
	}
	
	public Processor prcsr() {
		return procs;
	}
	
	public SchedPolicy sched() {
		return sched;
	}
	
	public TaskModel model() {
		return model;
	}
}




