package analysis.view;

import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.GridLayout;

import javax.swing.Box;
import javax.swing.JLabel;
import javax.swing.JPanel;

import util.AbstractPanel;


public class ResultsPanel extends  AbstractPanel {
	
	private		JLabel schedulableText;
	private		JLabel totUText;	// total utilization
	//private		JLabel totDText;	// total density
	private		JLabel unAllocUText;
	//private		JLabel unAllocDText;

	public ResultsPanel() {
		constructTextFields();	
		initialize_data();
		setCustomBorder("Statistics");		
		setLayout(new FlowLayout());
		
		JPanel col1 = new JPanel(new GridLayout(2, 2, 5, 5)); 
		// JPanel col2 = new JPanel(new GridLayout(3, 1, 0, 5));
		
		
		JLabel totUJL = new JLabel("Total Util.: ");
		// JLabel totDJL = new JLabel("Total Density: ");
		JLabel unAllocUJL = new JLabel("Unalloc. Util.: ");
		// JLabel unAllocDJL = new JLabel("Unallocated Density: ");
		// JLabel schedJL = new JLabel("Is Schedulable: ");
		
		col1.add(totUJL);		col1.add(totUText);
		col1.add(unAllocUJL);	col1.add(unAllocUText);
		//col1.add(totDJL);		col2.add(totDText);
		//col1.add(unAllocDJL);	col2.add(unAllocDText);		
		// col1.add(schedJL); 		col2.add(schedulableText);
		add(col1);
		// add(Box.createRigidArea(new Dimension(10, 0)) );
		// add(col2);		
	}	
	
	private void initialize_data() {
		update_data(new double[]{0, 0, 0, 0});		
	}

	protected void constructTextFields() {
		schedulableText = new JLabel("?"); 
		totUText = new JLabel();
		//totDText = new JLabel();
		unAllocUText = new JLabel();
		//unAllocDText = new JLabel();
	}

	public void update_data(double[] loadParam) {
		totUText.setText("" + loadParam[0]);
		//totDText.setText("" + loadParam[1]);
		unAllocUText.setText("" + loadParam[2]);
		//unAllocDText.setText("" + loadParam[3]);
	}

	public void clear() {
		initialize_data();				
	}
		
}
