package simulator.engine;

import simulator.EXEC_TYPE;


public class Execution {

	public int taskNum;
	public int start;
	public int dur;
	public String text;
	public EXEC_TYPE type;
	
	public Execution(int task, int st, int len, String str, EXEC_TYPE tp) {
		taskNum = task;
		start = st;
		dur = len;
		type = tp;
		text = str;
	}
		
	public int endingTime() {
		return start + dur;
	}

	public void println() {
		System.out.println("Exec: TYPE = " + type + ", START = " + start + 
				", dur = " + dur + ", taskNum = " + taskNum + ", text = " + text);		
	}

	public int graphicalEndTime() {	
		if(type == EXEC_TYPE.Arrival)
			return start;
		else
			return start + dur;
	}
}
