package synthesis;


import java.awt.GridLayout;

import javax.swing.ButtonGroup;
import javax.swing.JComboBox;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;

import enums.CommunicationType;
import enums.Language;
import enums.Runtime;

import main.Util;
import util.Dialogs;
import util.SchedPolicy;
import util.GUIUtil;


public class SettingsGUI {
	
	public Language 			lang;
	// public CommunicationType  	comm;
	// public Runtime 				rtime;
			
	JComboBox<Language> languageCB;
	// JComboBox<CommunicationType>  commCB;
	JComboBox<Runtime>  rtCB;
    
    public SettingsGUI() {
    	lang = Language.Ada;
    	// comm = CommunicationType.Blocking;
    	// rtime = Runtime.GNU_ADA;    
	}
    
	public void getSettingsFromUser() {
		
		languageCB = new JComboBox<Language>();
		// commCB = new JComboBox<CommunicationType>();
		rtCB = new JComboBox<Runtime>();
		
		languageCB.addItem(Language.Ada);
		languageCB.addItem(Language.C);
		/*commCB.addItem(CommunicationType.Blocking);
		commCB.addItem(CommunicationType.NonBlocking);*/
		rtCB.addItem(Runtime.GNU_ADA);
		rtCB.addItem(Runtime.GNU_C);
		
		languageCB.setSelectedItem(lang);
		// commCB.setSelectedItem(comm);
		//rtCB.setSelectedItem(rtime);
				
		JPanel panel = new JPanel(new GridLayout(1, 2, 5, 5));
		
		panel.add(new JLabel("Synthesis Language:"));
		panel.add(languageCB);		
		//panel.add(new JLabel("Compiler:"));
		//panel.add(rtCB);
		// panel.add(new JLabel("Synchronization Policy:"));
		// panel.add(commCB);
		        
		int result = Dialogs.showOkCancelPanel(panel, "Code Synthesis Settings");				
        if (result == JOptionPane.OK_OPTION) {
    		lang = (Language) languageCB.getSelectedItem();
    		// comm = (CommunicationType) commCB.getSelectedItem();
    		// rtime = (Runtime) rtCB.getSelectedItem();
    		
        }
	}
		
	public Language getLang() {
		return lang;
	}
}