package synthesis.model.adacoder;

import main.Edge;

public abstract class Coder {
	protected static String NL = AdaSynthesizer.NL;
	protected static String TAB = AdaSynthesizer.TAB;

	protected static String TAB(int n) {
		String TABn = "";
		for (int i = 0; i < n; i++) {
			TABn = TABn + TAB;
		}
		return TABn;
	}

	public static String beginProc(String name) {
		String code = "procedure " + name + " is" + NL;
		return code;
	}
	
	public static String endProc(String name) {
		String code = "end " + name + ";";
		return code;
	}
	
	public static String indent(int t, String code) {
		String s = "";
		if (code.length() == 0)
			return s;
			
		String[] lines = code.split("\n");
		for (int i = 0; i < lines.length; i++)
			s += TAB(t) + lines[i] + NL;		
		return s;
	}
	
	protected static String edge_delay(Edge e) {
		return e.srcName() + "_to_" + e.dstName() + "_delay" + e.index();
	}
}
