package synthesis.model.ccoder;

import main.Edge;
import main.Task;
import synthesis.model.Settings;

public class CEdgeCoder extends CCoder {
	
	public static String synthCode(Edge e, Task t, Task[] tasks, Settings conf, int job_index) {
		String code = TAB(6) + "if " + e.guard() + NL;
		code += TAB(6) + "{" + NL;
		code += TAB(7) + "job_index = " + job_index + " ;" + NL;
		code += TAB(7) + "vTaskDelayUntil ( &xReleaseTime, " + edge_delay(e) + " );" + NL;
		code += TAB(7) + "break;" + NL;

		code += TAB(6) + "}" + NL;
		return code;
	}

}