package taskeditor.changetrace;

import main.Edge;

public class EdgeChange extends Change {
	
	Edge reference; // the actual object
	Edge orig;		// the copy (cloned) version
	
	public EdgeChange() {
		super();
		objType = ChangedObj.Edge;
	}
	
	public void setRef(Edge ref) {
		reference = ref;
	}
	
	public void setOrig(Edge orig) {
		this.orig = orig;
	}

	public void undoModify() {
		if(!isModify())
			System.out.println("Warning: this is not a modify change!");
		
		reference.loadData(orig);
	}

	public Edge getReference() {
		return reference;
	}
}
