package taskeditor.changetrace;

import main.JobType;

public class JobChange extends Change {
	
	JobType reference;	// the actual object
	JobType orig;		// the copied (cloned) version
	
	public JobChange() {
		super();
		objType = ChangedObj.Job;
	}
	
	public void setRef(JobType ref) {
		reference = ref;
	}
	
	public void setOrig(JobType orig) {
		this.orig = orig;
	}

	public JobType getReference() {
		return reference;
	}

	public void undoModify() {
		reference.loadData(orig);		
	}

}
