package taskeditor.movables;

import main.Edge;
import taskeditor.DrawingPane;
import taskeditor.listeners.EdgeLabelListener;

public class EdgeLabel extends MovableLabel {

	private boolean validPosition = false; 
	
	public void setListener(DrawingPane drawPane, Edge e) {
		super.setListener(new EdgeLabelListener(drawPane, e));		
	}
	
	public void adjustSizeAndLocation(int x, int y) {
		validPosition = true;
		super.adjustSizeAndLocation(x, y);		
	}
	
	public boolean hasValidPosition() {
		return validPosition;
	}
}
