package util;

import javax.swing.BorderFactory;
import javax.swing.JPanel;
import javax.swing.border.Border;
import javax.swing.border.EmptyBorder;


public abstract class AbstractPanel extends JPanel {
	
	protected void setCustomBorder(String title) {
		Border b1 = GUIUtil.getBlackTitleBorder(title);
		Border b2 = new EmptyBorder( 10, 10, 10, 10);
		setBorder(BorderFactory.createCompoundBorder(b1, b2));
	}
	
	protected abstract void constructTextFields();
}
