package util;

import java.awt.Color;

import javax.swing.text.AttributeSet;
import javax.swing.text.StyleConstants;
import javax.swing.text.StyleContext;

public interface GUIAttr {

	public static final Color DARK_GREEN = new Color(0x00, 0xC0, 0x00);
	public static final Color VERY_DARK_YELLOW = new Color(0x80, 0x80, 0x00);
	public static final Color VERY_LIGHT_BLUE = new Color(0xF0, 0xF0, 0xFF);
	public static final Color VERY_LIGHT_CYAN = new Color(0x90, 0xFF, 0xFF);
	
	final static 	StyleContext cont = StyleContext.getDefaultStyleContext();
	final static	AttributeSet set = cont.getEmptySet();
	final static 	AttributeSet attrBlue = cont.addAttribute(set, StyleConstants.Foreground, Color.BLUE);
	final static 	AttributeSet attrOrng = cont.addAttribute(set, StyleConstants.Foreground, VERY_DARK_YELLOW);
	final static 	AttributeSet attrGreen = cont.addAttribute(set, StyleConstants.Foreground, DARK_GREEN);
	final static 	AttributeSet attrBlack = cont.addAttribute(set, StyleConstants.Foreground, Color.BLACK);	
}
